Setting up the Automation Library and Installing Python

The PSCAD Automation Library (AL) was developed in Python to interface with PSCAD and is available to all licensed users of PSCAD at no additional cost. It is available as download from our website at the following link:

https://hvdc.ca/pscad/automationlibrary

Note: Different Python versions can be installed on the same computer and operate independently. Our Automation Library should work with future versions of Python because there is typically backwards compatibility with the language.

Installations instructions can be found in the instalation document attched to this article.

Compatibility

- Windows operating system 64-bit (Vista SP1 or later) with an internet connection

- PSCAD version 4.6.1 or later

-  Python 3.3.5 (later versions appear to work without any problems)

Note:

Starting with PSCAD 4.6.3 and Automation Library 1.2.4, the default installation will require a Windows 64-bit operating system.  If you require a 32-bit setup, please contact PSCAD Support.

If you have problems with installation, please feel free to contact

support@pscad.com

 

Documents

Back